## Código resposta (mais eficiente)

# Vamos usar a base de dados de desmatamento do INPE para entender como o R funciona?

# 1)Carregando os pacotes que vamos utilizar para o exercício
library(tidyverse)
library(data.table)
library(janitor)

# 2) Vamos praticar usando uma base de dados ambientais
# para isso é preciso trazê-la pra dentro do R

# importar base do INPE
importar_inpe <- fread("./desmatamento_ucs_atualizado_2021.csv", #endereço do arquivo
                       sep = ";", #gov brasileiro gosta desse separador
                       header = TRUE, # digo que a primeira linha é topo da planilha
                       encoding = "Latin-1", # o encoding para evitar letras malucas
                       colClasses = c(rep("character", 4),
                                      rep("numeric", 23)),
                       dec = ",") 
glimpse(importar_inpe)

### Magia - vamos deixar a tabela em pé para facilitar a didática
   #essa função é difícil de dominar, não se preocupe com ela ainda
base_inpe <- importar_inpe %>% 
        pivot_longer(cols =  5:27, names_to = "ano",
                     values_to = "area_corte")


### Quando a importação não determinar a classe da coluna, 
#não será possível ordenar numericamente o desmatamento

# E então, qual a UC que mais sofreu desmatamento? Só ordenar, certo?
# Fuén, errado.
# Do jeito que tá não é possível fazer nenhuma soma porque não é um número
        # é preciso converter para números.

base_inpe_tidy$ano <- as.integer(base_inpe_tidy$ano)
base_inpe_tidy$area_corte <- as.double(base_inpe_tidy$area_corte)

glimpse(base_inpe_tidy)
